﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace OracleFullTextSearch {

  public class Query {

    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.None)]
    [Column("query_id")]
    public int Id { get; set; }

    [Column("query_string", TypeName = "varchar2")]
    [MaxLength(80)]
    public string QueryString { get; set; }

  }

}
