﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace OracleFullTextSearch {

  [Table("auction")]
  public class Auction {

    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.None)]
    [Column("item_id")]
    public int Id { get; set; }

    [Column(TypeName = "varchar2")]
    [MaxLength(100)]
    public string Title { get; set; }

    [Column("category_id")]
    public int CategoryId { get; set; }

    public decimal Price { get; set; }

    [Column("bid_close")]
    public DateTime BidClose { get; set; }

  }

}
